# Makefile for analog 5.32, zlib subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = deflate.h infblock.h infcodes.h inffast.h inffixed.h inftrees.h \
	infutil.h trees.h zconf.h zlib.h zutil.h
OBJS = adler32.obj compress.obj crc32.obj deflate.obj gzio.obj infblock.obj infcodes.obj \
	inffast.obj inflate.obj inftrees.obj infutil.obj trees.obj uncompr.obj zutil.obj

all: $(OBJS)

adler32.obj: adler32.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c adler32.c

compress.obj: compress.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c compress.c

crc32.obj: crc32.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c crc32.c

deflate.obj: deflate.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c deflate.c

gzio.obj: gzio.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gzio.c

infblock.obj: infblock.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c infblock.c

infcodes.obj: infcodes.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c infcodes.c

inffast.obj: inffast.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c inffast.c

inflate.obj: inflate.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c inflate.c

inftrees.obj: inftrees.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c inftrees.c

infutil.obj: infutil.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c infutil.c

trees.obj: trees.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c trees.c

uncompr.obj: uncompr.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c uncompr.c

zutil.obj: zutil.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c zutil.c

clean:
	rm -f *.obj *~
